package com.dxhy.common.enums;

/**
 * 抵账统计表申请结果
 * 
 * @author kangzq 20190507
 *
 */
public enum ApplyMsgEnum {

    /**
     * 申请成功
     */
    SQCG("1", 1),
    /**
     * 已申请确认
     */
    YSQQR("2", 2),
    /**
     * 已确认统计
     */
    YQRTJ("3", 3),
    /**
     * 申请确认月份不符
     */
    SQQRYFBF("4", 4),
    /**
     * 税号不存在
     */
    SHBCZ("5", 5),
    /**
     * 未申请统计
     */
    WSQTJ("6", 6),
    /**
     * 统计结果不符
     */
    TJJGBF("7", 7),
    /**
     * 其他异常
     */
    QTYC("8", 8);

    private final String[] APPLYMSGMC = {"申请成功", "已申请确认", "已确认统计", "申请确认月份不符", "税号不存在", "未申请统计", "统计结果不符", "其他异常"};

    private String applyMsgDm;
    private int index;

    ApplyMsgEnum(String applyMsgDm, int index) {
        this.applyMsgDm = applyMsgDm;
        this.index = index;
    }

    public String getApplyMsgDm(int index) {
        for (ApplyMsgEnum fplx : ApplyMsgEnum.values()) {
            if (fplx.getIndex() == index) {
                return fplx.applyMsgDm;
            }
        }
        return null;
    }

    public String getApplyMsgMc(int index) {
        int length = APPLYMSGMC.length;
        if (index <= length) {
            return APPLYMSGMC[index - 1];
        }
        return null;
    }

    public String getApplyMsgDm() {
        return applyMsgDm;
    }

    public void setApplyMsgDm(String applyMsgDm) {
        this.applyMsgDm = applyMsgDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
